--Build the tiles from:
local bits = _G.vzyColouredTilesBits
local amountPerColour = math.pow(2,bits)
local amountPerColourINVERSE = math.pow(2,9-bits)
local totalColours = math.pow(amountPerColour, 3)
function vzyColouredTilesGenIngredients(id)
	colours = _G.vzyColouredTilesGetColourTable(id-1)
	res = {{amount=1,name="raw-coloured-tile",type=item}}
	if colours.r > 0 then
		res[#res+1]={amount=colours.r,name="red-paint-can",type=item}
	end
	if colours.g > 0 then
		res[#res+1]={amount=colours.r,name="green-paint-can",type=item}
	end
	if colours.b > 0 then
		res[#res+1]={amount=colours.r,name="blue-paint-can",type=item}
	end
	return res
end
_G.vzyGenerateThing({
		nameAll = "paint-production",
		ingredients = {
			{amount=4*amountPerColourINVERSE, name="light-oil", type="fluid"},
			{amount=amountPerColourINVERSE, name="heavy-oil", type="fluid"}
		},
		results = {
			{amount=amountPerColour, name="red-paint",type="fluid"},
			{amount=amountPerColour, name="green-paint",type="fluid"},
			{amount=amountPerColour, name="blue-paint",type="fluid"}
		}
	}, data.raw.recipe["basic-oil-processing"], nil)
--Make the coloured-tile Items
_G.vzyGenerateLevelingThing({nameAll = "coloured-tile", place_as_tile={
		condition = {"water-tile"},
		condition_size = 5,
		result = "coloured-tile" --This needs to be changed if we can't get item correctly.
	}}, data.raw.item["raw-coloured-tile"], totalColours)
--Make the coloured-tile Recipes
_G.vzyGenerateLevelingThing({
		nameAll = "coloured-tile",
		ingredients = vzyColouredTilesGenIngredients
	}, data.raw.recipe["raw-coloured-tile"], totalColours)
